## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# All tests are skipped by upstream. Skip installing test requirements.
%bcond_with     tests

%global         srcname     azure-mgmt-storage

Name:           python-%{srcname}
Version:        21.1.0
Release:        %autorelease
Summary:        Microsoft Azure Storage Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Storage Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 21.1.0-1
- Update to 21.1.0 rhbz#2249655

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 21.0.0-4
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 21.0.0-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 21.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 07 2022 Major Hayden <major@redhat.com> - 21.0.0-1
- Update to 21.0.0

* Thu Sep 08 2022 Major Hayden <major@redhat.com> - 20.1.0-1
- Update to 20.1.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 20.0.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 20.0.0-2
- Rebuilt for Python 3.11

* Tue Apr 26 2022 Major Hayden <major@mhtx.net> - 20.0.0-1
- Update to 20.0.0

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> - 19.1.0-2
- Disable tests

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 19.1.0-1
- Update to 19.1.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 19.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 19.0.0-1
- Update to 19.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 18.0.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 18.0.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 18.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 18.0.0-1
- Initial import (#1971862)
## END: Generated by rpmautospec
